
SELinux - Bug #32316

Drop all passenger-related SELinux rules

04/14/2021 10:38 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: General Foreman   

Target version: 2.5.0   

Difficulty: trivial Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-s

elinux/pull/127

  

Description

Yay, these were dirty.

Related issues:

Related to Foreman - Tracker #29777: Drop passenger support Closed

Related to SELinux - Refactor #29778: Implement puma policy Closed

Related to SELinux - Bug #32022: /sbin/restorecon: SELinux: Could not get can... Closed

Related to SELinux - Refactor #6284: Remove Passenger/init_exec_script_files ... Closed

Associated revisions

Revision 9657632e - 04/14/2021 10:48 AM - Lukas Zapletal 

Fixes #32316 - drop all passenger-related rules

History

#1 - 04/14/2021 10:38 AM - Lukas Zapletal

- Related to Tracker #29777: Drop passenger support added

#2 - 04/14/2021 10:39 AM - Lukas Zapletal

- Related to Refactor #29778: Implement puma policy added

#3 - 04/14/2021 10:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-selinux/pull/127 added

#4 - 04/14/2021 10:48 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#5 - 04/14/2021 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 9657632e844ceca399c06fe0339a80dcba29a4fd.

#6 - 06/01/2021 10:11 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #32022: /sbin/restorecon: SELinux: Could not get canonical path for x restorecon: No such file or directory. added

#7 - 11/17/2022 02:44 PM - Ewoud Kohl van Wijngaarden

- Related to Refactor #6284: Remove Passenger/init_exec_script_files policy added
